# How to contribute

There are many ways you can contribute to the dxdao governance dapp:

- Use the developer dapp, the developer version is hosted in ([https://dxgovernance.github.io/dxvote](https://dxgovernance.github.io/dxvote). If you find any bug or have any feature request create an issue in [dxvote issues](https://github.com/DXgovernance/DAVI/issues).
- If you are a developer and want to contribute go and check the issues in the [dxvote issues](https://github.com/DXgovernance/DAVI/issues).
- If you are a member of dxdao and want to help developers go to the [dxvote issues](https://github.com/DXgovernance/DAVI/issues) and ask for issues to review.

If you haven't already, come find us in [keybase community](https://keybase.io/team/dx_dao) and join #dxvote #developer channels.

## Testing

- Create new issues, go to the [dxvote new issue](https://github.com/DXgovernance/DAVI/issues/new/choose) section and add an issue with the right template.
  - Bug Report: Use this template to submit a bug that you found in the dapp, please fill the entire requested template in the most descriptive way possible.
  - Feature Request: Use this template to request a new feature in the dapp, please fill the entire requested template in the most descriptive way possible.
  - To Do Task: Use this template to submit a task to be done in the project, please fill the entire requested template in the most descriptive way possible, this will likely be used for project planning.

## Submitting changes

To submit a change you will need to create a [pull request template](https://github.com/DXgovernance/DAVI/blob/master/.github/PULL_REQUEST_TEMPLATE/pull_request_template.md) and fill all the necessary sections in the pull request description.

Always write a clear log message for your commits, one-line messages are fine for small changes, try to keep pull requests small and fix one issue at the time, please try to avoid huge commits.

## Techical Requirements

- The application should not have any dependency on a centralized service, network or server besides the ethereum network provider.
- The DXdao should have total control over the source code and the smart contracts used in the application.
- The source code of the dapp should be always available and under AGPL 3.0 License.
- Each release should provide the source code alongside verification instructions to check the integrity of the compiled source code.
